#ifndef MCP4921_H
#define	MCP4921_H
//------------------------------------------------------------------------------
#include "Soft_SPI.h"
//------------------------------------------------------------------------------
void MCP4921_init()
{
   SPI_init();
}
//----------DAC increments (0...4095) --> output voltage (0...Vref)-------------
void MCP4921_write(unsigned int data)
{
   CS = 0;                          // Select chip

    // Send High Byte
   char highByte = (data >> 8);     
   SPI_write(highByte + 0x30);      // Define DAC setting, see MCP4921 datasheet
   
   // Send Low Byte              
   SPI_write(data);                 

   CS = 1;                          // Deselect chip
}
//------------------------------------------------------------------------------
#endif	